package com.dgtly.sync.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

/**
 * 同步解析失败详情对象 sync_fail_detail
 * 
 * @author qxp
 * @date 2020-07-14
 */
public class SyncFailDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 所属包id */
    private String packageId;

    /** 失败原因 */
    private String failReason;

    /** 数据json */
    private String dataJson;
    /** 失败等级 0警告 1错误 */
    private String failLevel;
    /** 失败异常类型 */
    private String exceptionType;

    public void setPackageId(String packageId) 
    {
        this.packageId = packageId;
    }

    public String getPackageId() 
    {
        return packageId;
    }
    public void setFailReason(String failReason) 
    {
        this.failReason = failReason;
    }

    public String getFailReason() 
    {
        return failReason;
    }
    public void setDataJson(String dataJson) 
    {
        this.dataJson = dataJson;
    }

    public String getDataJson() 
    {
        return dataJson;
    }

    public String getFailLevel() {
        return failLevel;
    }

    public void setFailLevel(String failLevel) {
        this.failLevel = failLevel;
    }

    public String getExceptionType() {
        return exceptionType;
    }

    public void setExceptionType(String exceptionType) {
        this.exceptionType = exceptionType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("packageId", getPackageId())
            .append("failReason", getFailReason())
            .append("dataJson", getDataJson())
            .append("failLevel", getFailLevel())
            .append("exceptionType", getExceptionType())
            .toString();
    }
}
